Kerbal Space Program - Bug #24226

Radial Node Attaching on bicouplers do not work as they did in 1.7.3
10/28/2019 07:32 PM - Anth12

Status: Closed Start date: 10/29/2019
Severity: Low % Done: 100%
Assignee: just_jim

Category: Parts

Target version: 1.9.0

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.7.3 MH + BG (no mods)
KSP 1.8.0 MH + BG (no mods)

The issue | am reporting only applies to the problems that | have found in 1.8.0 that didn't happen in 1.7.3

The report is for the following parts (but may affect others):
Mk2 Bicoupler
TVR-200 Stack Bi-Coupler

Issue 1:
When trying to node attach to these parts in radial symmetry they don't work in 1.8
First 6 Screenshots show this problem compared to 1.7.3

How to reproduce:

1. First have radial symmetry set to off

2. Attempt to place a part with nodes to one of the nodes on the bicoupler
3. Set radial symmetry to on

Work Around:
Attach parts 1 at a time without the radial attach on.

Issue 2:
When a part has tried to be surface attached to the parts and then move the mouse to the radial node the symmetry is warped

How to reproduce:

1. Have radial selected

2. Take a part that can be surface attached and place it on the bicoupler
3. Move the mouse over to the node

1.8.0 Issue 2.png shows the first part
1.8.0 Issue 2 Result.png shows the result

History

#1 - 10/28/2019 08:47 PM - just_jim
- Status changed from New to Confirmed
- Assignee set to just_jim

- % Done changed from 0 to 10

2nd issue first, | believe the fuel tank is trying to surface attach itself to the bi-coupler, and this is not a bug
The first issue, however, is confirmed. | also see a difference in the mirror symmetry behaviour between 1.8 and 1.7.3

#3 - 10/28/2019 11:35 PM - Anth12

Just_Jim the following two videos are for clarification on the 2nd Issue
Each video less than 20 seconds.

04/10/2024 1/2




1.7.3 (works as intended)
https://youtu.be/rULa9DEJAFU

1.8.0
https://youtu.be/XHtDIwXS9a4

#4 - 02/15/2020 01:10 PM - just_jim
- Status changed from Confirmed to Updated

#5 - 02/15/2020 01:10 PM - just_jim
- Status changed from Updated to Being Worked On
- % Done changed from 10 to 30

#6 - 02/15/2020 01:11 PM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.9.0

- % Done changed from 30 to 80

#7 - 02/16/2020 02:46 AM - Anth12
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Tested. Fixed. Resolved on both issues

#8 - 02/21/2020 01:50 AM - chris.fulton

- Status changed from Resolved to Closed

Files

1.7.3 Without being radial being selected.png
1.7.3 With Radial being selected.png

1.7.3 Parts Attached with Radial.png

1.8.0 Without being radial being selected.png
1.8.0 With Radial being selected.png

1.8.0 Parts Attached with Radial.png

1.8.0 Issue 2.png

1.8.0 Issue 2 Result.png
